Create
/fscmRestApi/resources/11.13.18.05/assetWarrantyProviderRates
Request
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
- application/json
object-
EndDate: string
(date-time)
Title:
Active to Date -
LaborCurrencyCode: string
Title:
Labor Currency CodeMaximum Length:15 -
LaborRate: number
Title:
Hourly Rate -
MustSubmitClaimByDays: number
Title:
Submission Due In -
StartDate: string
(date-time)
Title:
Active from Date -
WarrantyProviderId: integer
(int64)
Title:
Warranty Provider ID -
WarrantyProviderNumber: string
Title:
Warranty Provider NumberMaximum Length:255 -
WarrantyProviderRateId: integer
(int64)
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
EndDate: string
(date-time)
Title:
Active to Date -
LaborCurrency: string
Title:
Currency NameRead Only:trueMaximum Length:80 -
LaborCurrencyCode: string
Title:
Labor Currency CodeMaximum Length:15 -
LaborRate: number
Title:
Hourly Rate -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MustSubmitClaimByDays: number
Title:
Submission Due In -
StartDate: string
(date-time)
Title:
Active from Date -
WarrantyProviderId: integer
(int64)
Title:
Warranty Provider ID -
WarrantyProviderName: string
Title:
Warranty Provider NameRead Only:trueMaximum Length:360 -
WarrantyProviderNumber: string
Title:
Warranty Provider NumberMaximum Length:255 -
WarrantyProviderRateId: integer
(int64)
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
These examples describe how to create a warranty repair rate for a warranty provider.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetWarrantyProviderRates"
Example 1
This example describes how to create a warranty repair rate using a number reference for a warranty provider. The labor rates are considered when warranty claims are created for a warranty repair work order.
Example 1 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"WarrantyProviderNumber": 123456,
"LaborRate": "69.99",
"LaborCurrencyCode": "USD",
"MustSubmitClaimByDays": 90,
"StartDate": "2023-03-01",
"EndDate": "2024-02-28"
}
Example 1 Response Body
The following example includes the contents of the response body in JSON format:
{
"WarrantyProviderRateId": 300100582287471,
"WarrantyProviderId": 999992000322153,
"WarrantyProviderNumber": null,
"WarrantyProviderName": null,
"LaborRate": 69.99,
"LaborCurrencyCode": "USD",
"LaborCurrency": null,
"MustSubmitClaimByDays": 90,
"StartDate": "2023-03-01T00:00:00+00:00",
"EndDate": "2024-02-28T00:00:00+00:00",
"CreatedBy": "MNT_QA",
"CreationDate": "2023-04-04T14:57:12+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-04-04T14:57:12.001+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyProviderRates/300100582287471",
"name": "assetWarrantyProviderRates",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyProviderRates/300100582287471",
"name": "assetWarrantyProviderRates",
"kind": "item"
}
]
}
Example 2
This example describes how to create a warranty repair rates using an ID reference for a warranty provider. The labor rates are considered when warranty claims are created for a warranty repair work order.
Example 2 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"WarrantyProviderId": 87987987987987,
"LaborRate": "69.99",
"LaborCurrencyCode": "USD",
"MustSubmitClaimByDays": 90,
"StartDate": "2023-03-01",
"EndDate": "2024-02-28"
}
Example 2 Response Body
The following example includes the contents of the response body in JSON format:
{
"WarrantyProviderRateId": 300100582287471,
"WarrantyProviderId": 999992000322153,
"WarrantyProviderNumber": null,
"WarrantyProviderName": null,
"LaborRate": 69.99,
"LaborCurrencyCode": "USD",
"LaborCurrency": null,
"MustSubmitClaimByDays": 90,
"StartDate": "2023-03-01T00:00:00+00:00",
"EndDate": "2024-02-28T00:00:00+00:00",
"CreatedBy": "MNT_QA",
"CreationDate": "2023-04-04T14:57:12+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-04-04T14:57:12.001+00:00"
}